namespace Wizard;

public class AdjustSettingUpdateTask : BaseTask
{
	public class TaskParam : BaseParam
	{
		public int is_allow_send_adjust;
	}

	public AdjustSettingUpdateTask()
	{
		base.type = ApiType.Type.AdjustSettingUpdate;
	}

	public void SetParameter(bool arrow)
	{
		TaskParam taskParam = new TaskParam();
		taskParam.is_allow_send_adjust = (arrow ? 1 : 0);
		base.Params = taskParam;
	}
}
